Subject: Sweeney's database review
From: [email-masked] (Corey Sweeney)
Date: Sat, 16 Apr 1994 16:00:39 GMT
Newsgroups: comp.os.linux.announce

[]
        Sweeneys linux multi-user database review

                        4/11/94

        Overview- This is a review of several of the database systems
available for linux.  The purpose of this is to help people in their
selection of a database system for linux.  I believe that all the
following databases systems are free.  I make no gaurentee to the
accuracy of this document and take no liability for any actions you
may take because of it.  If you find anything wrong in this review
send me mail about it.  

        To the best of my knowledge, all the following databases are
free, multi-user, and have a C programming interface.  If it's a
single user database system for C your looking for I suggest using
fprintf() from stdio.h.  If you must use something else you can
possibly use the single user gdbm which is soposto be small and simple.

DISCALAMER: I take no responsibility of any kind for any of the information 
presented in this statement.

Ingres-
Installation: make ingres user, untar files, compile it, install it,
        initialize it
Advantages: stable
Disadvantages: pain to install.
Distribution: source
Known Bugs: I've heard from one person that the 
        lock manager does not work(something to do with the select
        program, does not support transactions (making it useless as
        a multi-user application). if somebody can confirm/deny this
        please contact me.

**I have been informed that ingres contains a C interface library.**
**The earlier version of this document was in error saying that it didn't** 

Ingres is a relational database system that was written *long* ago.
The bugs have been pounded out over the past 20 years (the ingres
bugs, there will of course be linux bugs :).  It was a pain for me to
install ingres when i first tried.  This should probably be easier to 
install by now but i haven't been able to try.  If stability is your 
goal then this is would be your best choice.

Postgres-
Installation: make postgres user, untar files, initialize it.
Advantages: user defined fields, user defined functions, user defined
        operators, technically advanced, object oriented style,
        potential for sql support, multi-processor
        support(once-implemented in linux :).
Disadvantages: pain to install, still in development.
Distribution: binaries & source
Known Bugs: security bug,  any user can log on as the database administrator.
Notes:  Only use postgres 4.0.1 for linux, postgres 4.1 currently does
        not work properly.  Also 4.2 should soon be ready for public release.

Postgres was written by the guy who wrote ingres, but is not compatible
with, or based on the ingres system.  Postgres is a extended
relational, object oriented, etc... multi-user database system.
Postgres was created to try to demonstrate the effectiveness of
several database theories that had been proposed since ingres, and
therefore contains many sophisticated mechanisms in it.  It is still
being worked on and therefore all the bugs have not been stamped out.
Installation can be a pain if you don't realize that there is a bug in
which you must set the envorment variable USER=postgres during database
initizialation.  The "USER" bug causes a security bug in which any
user with knowledge of postgres can obtain full access to the
any database.  If you don't kneed security (yet) and you want lot's of
flexibility & neat features in your database system, then postgres is
for you.

**************************************************************************
Help is needed with the postgres project.  Postgres has the potential 
to have SQL support written into it, But no one is working on it.  Also 
it lacks several features, such as ability to make backups of the 
databases while the server is running.  If you can help with any of these 
*especially* with adding SQL support, please contact me.  If we can add 
these features we have the potential for a bitchin linux database system.
**************************************************************************

Metalbase-
instalation: untar files, make; make install
Advantages: small, multi-user
Disadvantages: Not as technically sophisticated, possibly slower.
Distribution: source (only?)

Metalbase works and it's small.  It appears to have started on the
amiga and moved into the unix world.  I have not installed this one
but it appears to be easier to use, however I believe it might be
slower then some of the other systems,  Eventually i might do a
benchmarking on the differnt database systems to get some real proof.
If you are short on RAM (4 megs or less) then this might be your choice.

There also exist (but i have not actuall seen or know little to nothing 
about) the following databases for linux:

OBST - object oriented.  appears to have been written in C++.  Has 
graphical tools for the X-windows system.  Can interface to C++ programs.

LINCKS - no idea...

RIM?  - (i don't even know for sure that this runs under linux.  I've
just heard about it's existance and an implication that it might be on
a linux ftp site).

ONYX - this is not a database system, but it deserves some mention in this 
article.  Onyx is a SQL "front end" for certain database servers.  It 
merely translates SQL commands, to the native database commands of the 
paticular server.  this supports informix servers, as well as ingres, yard,
and awk.  This has potential to include postgres someday.

a list of non-linux specific free database systems can be ftp'd from 
/pub/free-databases at idiom.berkeley.ca.us

This is the second draft of this document, and it probably contains
some more errors, but i feel that it's better then nothing for people
searching for a database for linux.  I soon plan to add the recent
series of object oriented databases made available.  I will post this
article every time I make significant changes.  If you find a error
please mail the correction to [email-masked]

Corey Sweeney
Sytron Computers

Corey Sweeney
[email-masked]
[email-masked]
[email-masked]
--- have fun trying to figure out what address to send to! ---

--
Mail submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.